Submódulos
- xdk.account_activity.client module
- xdk.account_activity.models module
Contenido del módulo
This module provides access to the account activity endpoints of the X API and serves as the main entry point for all account activity-related functionality.class xdk.account_activity.AccountActivityClient
Cliente para operaciones de account activity
Parámetros
Client
__init__
Parámetros
Client
create_replay_job
Create replay job
Creates a replay job to retrieve activities from up to the past 5 days for all subscriptions associated with a given webhook.
Parámetros
Any
The unique identifier for the webhook configuration.
str
The oldest (starting) UTC timestamp (inclusive) from which events will be provided, in yyyymmddhhmm format.
str
The latest (ending) UTC timestamp (exclusive) up to which events will be provided, in yyyymmddhhmm format.
Devuelve
CreateReplayJobResponse - Response data
create_subscription
Create subscription
Creates an Account Activity subscription for the user and the given webhook.
Parámetros
Any
The webhook ID to check subscription against.
CreateSubscriptionRequest
Request body
delete_subscription
Delete subscription
Deletes an Account Activity subscription for the given webhook and user ID.
Parámetros
Any
The webhook ID to check subscription against.
Any
User ID to unsubscribe from.
Devuelve
DeleteSubscriptionResponse - Response data
get_subscription_count
Get subscription count
Retrieves a count of currently active Account Activity subscriptions.
:returns: Datos de respuesta
:rtype: GetSubscriptionCountResponse
Devuelve
GetSubscriptionCountResponse
get_subscriptions
Get subscriptions
Retrieves a list of all active subscriptions for a given webhook.
Parámetros
Any
The webhook ID to pull subscriptions for.
Devuelve
GetSubscriptionsResponse - Response data
validate_subscription
Validate subscription
Checks a user’s Account Activity subscription for a given webhook.
Parámetros
Any
The webhook ID to check subscription against.
Devuelve
ValidateSubscriptionResponse - Response data